# ZoomNavigationControl

#### abstract new Cesium.ZoomNavigationControl(terria, zoomIn)
MapGIS/Tools/Navigation/ZoomNavigationControl.js 19

The model for a zoom in control in the navigation control tool bar

Name | Type | Description
--- | --- | ---
`terria` | Object | The Terria instance.
`zoomIn` | boolean | is used for zooming in (true) or out (false)

### Members

#### cssClass : String
MapGIS/Tools/Navigation/ZoomNavigationControl.js 41

Gets or sets the CSS class of the control. This property is observable.

#### name : String
MapGIS/Tools/Navigation/ZoomNavigationControl.js 27

Gets or sets the name of the control which is set as the control's title. This property is observable.

#### text : String
MapGIS/Tools/Navigation/ZoomNavigationControl.js 35

Gets or sets the text to be displayed in the nav control. Controls that have text do not display the svgIcon. This property is observable.

### Methods

#### abstract protected activate()
MapGIS/Tools/Navigation/ZoomNavigationControl.js 62

When implemented in a derived class, performs an action when the user clicks on this control